Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## de.jstacs.algorithms
Enum Alignment.Costs.Direction

    java.lang.Object
      java.lang.Enum<Alignment.Costs.Direction>
          de.jstacs.algorithms.Alignment.Costs.Direction

All Implemented Interfaces:
  Serializable, Comparable<Alignment.Costs.Direction>

Enclosing interface:
  Alignment.Costs

    public static enum Alignment.Costs.Direction

extends Enum<Alignment.Costs.Direction>

The direction of the predecessor in the DP (dynamic programming)-matrix.

Author:
  Jan Grau

Enum Constant Summary
`DIAGONAL` The predecessor is top left of the current element.
`LEFT` The predecessor is left of the current element.
`SELF` The predecessor is at the same position as the current element.
`TOP` The predecessor is above the current element.

Method Summary
`static Alignment.Costs.Direction` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static Alignment.Costs.Direction[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### TOP

    public static final Alignment.Costs.Direction TOP

  The predecessor is above the current element.

### LEFT

    public static final Alignment.Costs.Direction LEFT

  The predecessor is left of the current element.

### DIAGONAL

    public static final Alignment.Costs.Direction DIAGONAL

  The predecessor is top left of the current element.

### SELF

    public static final Alignment.Costs.Direction SELF

  The predecessor is at the same position as the current element.

Method Detail

### values

    public static final Alignment.Costs.Direction[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(Alignment.Costs.Direction c : Alignment.Costs.Direction.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static Alignment.Costs.Direction valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD